Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.PC.HPDDMCoarseCorrectionType

class petsc4py.PETSc.PC.HPDDMCoarseCorrectionType

  Bases: `object`

  The HPDDM coarse correction type.

  Attributes Summary

  `ADDITIVE` | Constant `ADDITIVE` of type `int`
  `BALANCED` | Constant `BALANCED` of type `int`
  `DEFLATED` | Constant `DEFLATED` of type `int`
  `NONE` | Constant `NONE` of type `int`

  Attributes Documentation

  ADDITIVE: int = ADDITIVE

    Constant `ADDITIVE` of type `int`

  BALANCED: int = BALANCED

    Constant `BALANCED` of type `int`

  DEFLATED: int = DEFLATED

    Constant `DEFLATED` of type `int`

  NONE: int = NONE

    Constant `NONE` of type `int`

  __init__()
  classmethod __new__(*args, **kwargs)